// 3D door Library
// Paulo C. Ormonde
/*
Always draw by axis

Codes
  
Notations
ya - y axis
xa - x axis
 z - base
sp - start position
tw - wall thickness
type - 0 open 1 insert
*/

module xdoor_01 (ya, sp, tw, z, type)  // 90 x 210  
{  //openbox
  if (type == 0){
   translate([sp , ya-tw, z]){
       %cube (size = [90,tw*2,210], center=false);}
   }
  if (type == 1){
      //jamb or frame
       color("brown"){ 
         difference(){  
            translate([sp , ya-tw/2, z]){
           cube (size = [90,tw,210], center=false);}
           translate([sp+5 , ya-tw, z-5]){
            cube (size = [80,tw*2,210], center=false);}
         }
       }
   }
}


xdoor_01(0,0,15,0,1);